Subject: RE: comments on requirements draft 04

From: "Nicolae, Dan" <[email-masked]>
Date: Wed, 09 Aug 2000 17:51:13 -0400

> 
> I wonder if we should add the requirement that there should be a way
> to discover the host names of all hosts on the local-link, at least
> all of the ones with zeroconf addresses?  Otherwise, you connect your
> computer to your neighbor's computer on the train to exchange 
> data but 
> you don't know the name of the other computer unless you find out
> out-of-band.  Just a thought.

How did you select and connect to the other computer in the first place when
you didn't know its name? Directly by IP address? Then why would you need to
know its name? You're already connected.
One usage for DNS reverse queries is to map an IP back to a name for display
purposes (e.g. in a Web browser URL box). So, this requirement may be valid.
It may lead to requiring inverse queries support for mDNS.

> We are trying not to add any requirements above and beyond 
> what we need
> to support features we already have, and have come to expect in non-IP
> zeroconf protocols like Appletalk/NBP, NetBeui/SMB, IPX/SAP.  
> We need host
> config, name to address resolution, service discovery.  We 
> are also looking
> at MADCAP function in the absence of MADCAP servers - but 
> that's the extent
> of what we are chartered to do.
> 

Browsing support is not a new feature and both AppleTalk and NetBEUI users
may expect it.

Finding the names of all hosts in the local subnet falls in the browsing
category. Browsing may be seen as a particular case of service discovery.
But it may also be seen as belonging to the name resolution; it depends how
it's done.

dan

---

From: Richard Johnson <[email-masked]>
Date: Wed, 9 Aug 2000 15:01:50 -0700 (PDT)

> It may lead to requiring inverse queries support for mDNS.

I was talking about what you mention below as "browsing support" for
hosts on the net.  Not to mean that address to hostname mappings are
not needed in the requirements as well.

/raj